# oauth2与openid connect(oidc)

查到的资料是oidc包含oauth2两种标准协议的官方网站如下：

`openid connect :` https://openid.net/connect/

`oauth2 :` https://oauth.net/2/


# dot net的身份认证与授权

openiddict(免费)：https://documentation.openiddict.com/index.html 
(openiddict)github:https://github.com/openiddict

identityserver4(免费，不再支持最新版本dot net) ：https://identityserver4.readthedocs.io/en/latest/reference/options.html

identityserver6(商业大形企业收费)：https://docs.duendesoftware.com/identityserver/v6/overview/terminology/

在NuGet上还可以找到一些小众的插件（有些可能已经停止更新）：

`DotNetOpenAuth.OAuth2`

`MrHuo.OAuth`

`auth0`

`dotnet-cas-client`、`dotnet-cas-client-redis`

###　官方推荐的第三方身份验证组件：

https://learn.microsoft.com/zh-cn/aspnet/core/security/authentication/community?view=aspnetcore-7.0

![image](https://img2023.cnblogs.com/blog/99357/202301/99357-20230131103158807-1480566310.png)


网上查找的资料中无论是官方推荐的还是其它组件，做为应用端的资料很多，但是服务端的资料确很少。想中自己搭建一个完整的oauth2.0的服务很麻烦，例如`openiddict`只有官方的几个实例，要想集成第三方的ORM框架只能看源码一点一点探索，网上几乎没有资料。
