使用CentOS 8.2

#### 查看linux版本

`lsb_release -a`查看系统版本;`uname`使用`uname --help`查看具体帮助，可返回系统内核版本等信息

#### 磁盘空间查询

`df`查看目录使用磁盘控件情况和使用百分百，可以使用`df -h`查询命令帮助信息

`df -hl`：查看磁盘剩余空间

`df -h`：查看每个根路径的分区大小

`du -sh [目录名]`：返回该目录的大小

`du -sm [文件夹]`：返回该文件夹总M数

`du -h [目录名]`：查看指定文件夹下的所有文件大小（包含子文件夹）

`du`命令用于查看当前目录大小如`du -sh`

- -s：对每个Names参数只给出占用的数据块总数。

- -a：递归地显示指定目录中各文件及子目录中各文件占用的数据块数。若既不指定-s，也不指定-a，则只显示Names中的每一个目录及其中的各子目录所占的磁盘块数。

- -b：以字节为单位列出磁盘空间使用情况（系统默认以k字节为单位）。

- -k：以1024字节为单位列出磁盘空间使用情况。

- -c：最后再加上一个总计（系统默认设置）。

- -l：计算所有的文件大小，对硬链接文件，则计算多次。

- -x：跳过在不同文件系统上的目录不予统计。

- -h：以K，M，G为单位，提高信息的可读性。

#### 查看IP、网络使用

`ifconfig -a` 或者`ip addr show`

`iftop` 查看带宽占用情况

#### 查看登录日志

切换当前目录到`cd /var/log`；执行`last`查询最近几次的登录IP、时间等信息、执行`less secure`可查看日志完整情况

#### 查看CPU内存使用情况

`top`:类似windows的任务管理器

#### 查看用户登录情况

`lastlog` 列出所有用户最近登录的信息

`last`  列出当前和曾经登入系统的用户信息

`lastb`  列出失败尝试的登录信息

`who`  列出当前登录的用户和终端，使用`pkill -kill -t pts/数字`踢出登录用户
